Package org.springframework.security.web.authentication

# Interface AuthenticationConverter

All Known Implementing Classes:
  `BasicAuthenticationConverter`, `DelegatingAuthenticationConverter`, `OneTimeTokenAuthenticationConverter`

public interface AuthenticationConverter
A strategy used for converting from a `HttpServletRequest` to an `Authentication` of particular type. Used to authenticate with appropriate `AuthenticationManager`. If the result is null, then it signals that no authentication attempt should be made. It is also possible to throw `AuthenticationException` within the `convert(HttpServletRequest)` if there was invalid Authentication scheme value.

Since:
  5.2.0

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`convert(jakarta.servlet.http.HttpServletRequest request)`

## Method Details

### convert

org.springframework.security.core.Authentication convert(jakarta.servlet.http.HttpServletRequest request)